{{- if .Values.api.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api-deployment
  labels:
    app: api
spec:
  replicas: {{ .Values.front.replicaCount }}
  selector:
    matchLabels:
      app: api
  template:
    metadata:
      labels:
        app: api
    spec:
      containers:
        - name: api
          image: {{ .Values.api.image.repository }}:{{ .Values.api.image.tag }}
          ports:
            - containerPort: 8080
          env:
            - name: DB_ENDPOINT
              valueFrom:
                configMapKeyRef:
                  name: api-config
                  key: db-endpoint
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  name: pg-credentials
                  key: pg_username
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: pg-credentials
                  key: pg_password
            - name: POSTGRES_DB
              valueFrom:
                configMapKeyRef:
                  name: pg-config
                  key: db_name
          resources:
            requests:
              memory: "1Gi"
              cpu: "500m"
      imagePullSecrets:
        - name: auth-master3-registry
{{- end }}
